> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get orders

> get orders

**Limit: 10 requests per 1 second**

Get orders by customizable conditions.  For filtering by status, one can reference special bundled statuses below for ease of access of open (i.e. INCOMPLETE) orders or COMPLETED orders.

1. INCOMPLETE = NEW + PARTIAL\_FILLED

2. COMPLETED = CANCELLED + FILLED + REJECTED

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "meta": {
              "total": 31,
              "recordsPerPage": 25,
              "currentPage": 1
          },
          "rows": [
              {
                  "symbol": "PERP_BTC_USDT",
                  "status": "FILLED",
                  "side": "SELL",
                  "positionSide": "BOTH",
                  "createdTime": 1578565539808,
                  "orderId": 135,
                  "orderTag": "default",
                  "price": "123",
                  "type": "LIMIT",
                  "quantity": "0.1",
                  "amount": "null",
                  "visible": "0.1",
                  "executed": "0.1",
                  "totalFee": "0.00123",
                  "feeAsset": "USDT",
                  "totalRebate": 0,
                  "rebateCurrency": "USDT",
                  "clientOrderId": 0,
                  "reduceOnly": false,
                  "realizedPnl": "2",
                  "averageExecutedPrice": "123",
              },
              ...
          ]
      },
      "timestamp": 1721351502594
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/trade/orders
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/trade/orders:
    get:
      description: get orders
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: symbol
          in: query
          description: Symbol name
          required: false
          explode: true
          schema:
            type: string
        - name: side
          in: query
          description: BUY/SELL
          required: false
          explode: true
          schema:
            type: string
        - name: positionSide
          in: query
          description: >-
            BOTH for one way mode; LONG or SHORT for hedge mode; Only applicable
            to perpetual instruments
          required: false
          explode: true
          schema:
            type: string
        - name: type
          in: query
          description: LIMIT/MARKET/IOC/FOK/POST_ONLY/LIQUIDATE/RPI/LIQUIDATE_BLP/ADL
          required: false
          explode: true
          schema:
            type: string
        - name: orderTag
          in: query
          description: Order tag
          required: false
          explode: true
          schema:
            type: string
        - name: withRealizedPnl
          in: query
          description: >-
            Whether to return order’s realized pnl; Note that realized PnL is
            only calculated for Perpetual close orders.
          required: false
          explode: true
          schema:
            type: boolean
        - name: status
          in: query
          description: NEW/CANCELLED/PARTIAL_FILLED/FILLED/REJECTED/INCOMPLETE/COMPLETED
          required: false
          explode: true
          schema:
            type: string
        - name: startTime
          in: query
          description: Start timestamp in Unix timestamp format in milliseconds
          required: false
          explode: true
          schema:
            type: integer
            format: int64
        - name: endTime
          in: query
          description: End timestamp in Unix timestamp format in milliseconds
          required: false
          explode: true
          schema:
            type: integer
            format: int64
        - name: page
          in: query
          description: Page number
          required: false
          explode: true
          schema:
            type: integer
            default: 1
        - name: size
          in: query
          description: Data size per page, max 500
          required: false
          explode: true
          schema:
            type: integer
            default: 50
            maximum: 500
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrdersResponse'
      security: []
components:
  schemas:
    GetOrdersResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    $ref: '#/components/schemas/GetOrderRowResponse'
                  description: ''
                meta:
                  $ref: '#/components/schemas/Meta'
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp
    GetOrderRowResponse:
      type: object
      properties:
        symbol:
          type: string
          example: PERP_BTC_USDT
          description: Trading pair, e.g., BTC/USDT perpetual contract.
        status:
          type: string
          example: FILLED
          description: >-
            Order status, e.g., FILLED indicates the order has been fully
            executed.
          enum:
            - NEW
            - CANCELLED
            - PARTIAL_FILLED
            - FILLED
            - REJECTED
        side:
          type: string
          example: SELL
          description: Trade direction, e.g., SELL means selling, BUY means buying.
          enum:
            - BUY
            - SELL
        positionSide:
          type: string
          example: BOTH
          description: Position direction, e.g., BOTH indicates a dual position mode.
          enum:
            - BOTH
            - LONG
            - SHORT
        createdTime:
          type: integer
          format: int64
          example: 1578565539808
          description: Order creation time in Unix timestamp (milliseconds).
        orderId:
          type: integer
          example: 13
          description: Unique identifier for the order.
        orderTag:
          type: string
          example: default
          description: Order tag, e.g., default.
        price:
          type: string
          example: '123'
          description: Price of the limit order (price per unit of the asset).
        type:
          type: string
          example: LIMIT
          description: Order type, e.g., LIMIT represents a limit order.
          enum:
            - LIMIT
            - MARKET
            - IOC
            - POST_ONLY
            - AC
            - FOK
            - LIQUIDATE
            - BID
            - ASK
            - RPI
            - LIQUIDATE
            - LIQUIDATE_BLP
            - ADL
        quantity:
          type: string
          example: '0.1'
          description: Total quantity of the order, representing the number of assets.
        amount:
          type: string
          nullable: true
          example: null
          description: Total order amount, may be null.
        visible:
          type: string
          example: '0.1'
          description: >-
            Visible quantity, representing the portion of the order shown to the
            market.
        executed:
          type: string
          example: '0.1'
          description: Quantity that has been executed.
        totalFee:
          type: string
          example: '0.00123'
          description: Total fee charged for the order, denominated in the fee asset.
        feeAsset:
          type: string
          example: USDT
          description: Asset type used to pay fees.
        totalRebate:
          type: number
          example: 0
          description: Total rebate amount.
        rebateCurrency:
          type: string
          example: USDT
          description: Asset type for the rebate.
        clientOrderId:
          type: integer
          example: 0
          description: Client-defined order ID.
        reduceOnly:
          type: boolean
          example: false
          description: Indicates whether the order is reduce-only.
        realizedPnl:
          type: string
          example: '100'
          description: Realized profit and loss, e.g., 100 means a profit of 100 USDT.
        averageExecutedPrice:
          type: string
          example: '123'
          description: Average price at which the order was executed.
        leverage:
          type: integer
          example: 10
          description: ''
        marginMode:
          type: string
          example: ''
          description: ''
          enum:
            - ISOLATED
            - CROSSED
        bidAskLevel:
          type: integer
          example: 2
          description: ''
    Meta:
      type: object
      properties:
        total:
          type: integer
          description: Total number of record
        recordsPerPage:
          type: integer
          description: Number of records per page
        currentPage:
          type: integer
          description: Current page number

````